cURL
curl -X POST https://api.bizmori.com/api/v2/orders/anti-ai/with-urls \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "key-url-001",
"files": [
{
"fileName": "image1.jpg",
"imageUrl": "https://example.com/image1.jpg"
}
],
"options": {"strength": "high"}
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/anti-ai/with-urls', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: 'key-url-001',
files: [
{
fileName: 'image1.jpg',
imageUrl: 'https://example.com/image1.jpg'
}
],
options: { strength: 'high' }
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/anti-ai/with-urls',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': 'key-url-001',
'files': [
{
'fileName': 'image1.jpg',
'imageUrl': 'https://example.com/image1.jpg'
}
],
'options': {'strength': 'high'}
}
)
data = response.json()
{
"data": {
"orderName": "<string>",
"orderId": "<string>",
"status": "inProgress"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "USAGE_LIMIT_EXCEEDED"
}Anti-AI
Create Anti-AI order with URLs
deprecated
Deprecated: Use /anti-ai endpoint with originalFileUrl field instead.
Provide image URLs directly for processing.
- Processing starts immediately without presigned URL issuance
- Downloads and processes images from the provided URLs
Zero Copy Mode
When mode.zeroCopy: true, processed results are uploaded directly to customer-provided presigned URLs.
POST
/
api
/
v2
/
orders
/
anti-ai
/
with-urls
cURL
curl -X POST https://api.bizmori.com/api/v2/orders/anti-ai/with-urls \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"idempotencyKey": "key-url-001",
"files": [
{
"fileName": "image1.jpg",
"imageUrl": "https://example.com/image1.jpg"
}
],
"options": {"strength": "high"}
}'const response = await fetch('https://api.bizmori.com/api/v2/orders/anti-ai/with-urls', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
idempotencyKey: 'key-url-001',
files: [
{
fileName: 'image1.jpg',
imageUrl: 'https://example.com/image1.jpg'
}
],
options: { strength: 'high' }
})
});
const data = await response.json();import requests
response = requests.post(
'https://api.bizmori.com/api/v2/orders/anti-ai/with-urls',
headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
json={
'idempotencyKey': 'key-url-001',
'files': [
{
'fileName': 'image1.jpg',
'imageUrl': 'https://example.com/image1.jpg'
}
],
'options': {'strength': 'high'}
}
)
data = response.json()
{
"data": {
"orderName": "<string>",
"orderId": "<string>",
"status": "inProgress"
}
}{
"code": "VALIDATION_FAILED"
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "USAGE_LIMIT_EXCEEDED"
}Authorizations
API Key for external client access
Body
application/json
Idempotency key
Order name (optional)
Maximum string length:
64⌘I